[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#486184: marked as done (Should bail-out much earlier if a filesystem image cannot be found)



Your message dated Sat, 21 Jun 2008 21:02:14 +0000
with message-id <E1KAADu-0006Me-Ik@ries.debian.org>
and subject line Bug#486184: fixed in live-installer 6
has caused the Debian Bug report #486184,
regarding Should bail-out much earlier if a filesystem image cannot be found
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
486184: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=486184
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: live-installer
Severity: normal
Version: 5
Tags: patch

If there was an error locating a live image, live-installer continues and
eventually fails somewhere inside the live-installer post-installation
hooks with a rather meaningless error message.

The attached patch halts the installation at a more suitable point and emits
an more descriptive error message to syslog.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
From 05e383928293649ac542abae10cfd060be67418f Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Sat, 14 Jun 2008 07:04:50 +0100
Subject: [PATCH] Bail-out much earlier if a filesystem image cannot be found

If there was an error locating a live image, live-installer continues and
eventually fails somewhere inside the live-installer post-installation
hooks with no sensible error message.

Although this patch does not display a debconf warning, it at least halts
the installation and emits something to syslog.

Signed-off-by: Chris Lamb <chris@chris-lamb.co.uk>
---
 packages/live-installer/debian/postinst |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/packages/live-installer/debian/postinst b/packages/live-installer/debian/postinst
index cd3313d..c9817f9 100755
--- a/packages/live-installer/debian/postinst
+++ b/packages/live-installer/debian/postinst
@@ -17,6 +17,7 @@ mode="$RET"
 install_live_system () {
 	# Look at
 	PLACES=""
+	PLACE_FOUND=0
 
 	# Load filesystem support
 	for script in $(ls /lib/live-installer/*); do
@@ -29,6 +30,8 @@ install_live_system () {
 		SUPPORT=$(echo $place | sed 's,.*\.\(.*\)$,\1,g')
 		info "Using $SUPPORT support for $place"
 
+		PLACE_FOUND=1
+
 		eval ${SUPPORT}_prepare
 		STEPS=$(eval ${SUPPORT}_count)
 
@@ -59,6 +62,11 @@ install_live_system () {
 		IFS=$OLD_IFS
 	done
 
+	if [ ${PLACE_FOUND} -eq 0 ]; then
+		error "Could not find any live images"
+		exit 1
+	fi
+
 	# if we're dumping it, we need to set boot=live
 	if [ "$mode" = live ]; then
 		# set the init script to use
-- 
1.5.5.4

Attachment: signature.asc
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: live-installer
Source-Version: 6

We believe that the bug you reported is fixed in the latest version of
live-installer, which is due to be installed in the Debian FTP archive:

live-installer_6.dsc
  to pool/main/l/live-installer/live-installer_6.dsc
live-installer_6.tar.gz
  to pool/main/l/live-installer/live-installer_6.tar.gz
live-installer_6_i386.udeb
  to pool/main/l/live-installer/live-installer_6_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486184@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <chris@chris-lamb.co.uk> (supplier of updated live-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jun 2008 21:20:48 +0100
Source: live-installer
Binary: live-installer
Architecture: source i386
Version: 6
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Chris Lamb <chris@chris-lamb.co.uk>
Description: 
 live-installer - Install the system (udeb)
Closes: 486182 486184 486926
Changes: 
 live-installer (6) unstable; urgency=low
 .
   [ Joey Hess ]
   * Bail-out much earlier if a filesystem image cannot be found (Chris Lamb)
     Closes: #486184
   * Run base-install.d hooks after copying in the live system, to avoid
     overwriting any files created by them. Closes: #486182
   * Copy files using tar, avoids permissions problems and slowness.
     Closes: #486926
 .
   [ Chris Lamb ]
   * Add myself to Uploaders
   * Rename Autotools bootstrapping script from "bootstrap" to "autogen.sh"
 .
   [ Updated translations ]
   * Belarusian (be.po) by Pavel Piatruk
   * Slovenian (sl.po) by Matej Kovacic
   * Turkish (tr.po) by Mert Dirik
Checksums-Sha1: 
 f40edd3d72eb0d172a0133ac613955126080dcb1 929 live-installer_6.dsc
 f1c62dfa6583e57225bc79cf02fb8133e8db2573 100689 live-installer_6.tar.gz
 be1561cec2dc6fce4ead997987027c6f9add008d 19242 live-installer_6_i386.udeb
Checksums-Sha256: 
 fbbfd10ae1544eb7b37cad631d31107e0bb729f9e156acdefc5a394236cdbf94 929 live-installer_6.dsc
 21b6e80da95caefdc5522e09223c11bdc0a1ec48df8d7e8d80a7db1589af303f 100689 live-installer_6.tar.gz
 13e663b0a451579d35fd2e2320ba2f91168841ed01596c5ec11eacdfeddac7cd 19242 live-installer_6_i386.udeb
Files: 
 f51b5bb250eed69b245540e0c1ec0551 929 debian-installer optional live-installer_6.dsc
 dc02ce67644fedec8d2b3d2858042e96 100689 debian-installer optional live-installer_6.tar.gz
 0f52f5668f12e9f28f96eca6190eca94 19242 debian-installer optional live-installer_6_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhdZM8ACgkQ+C5cwEsrK57q9wCfTiK6dKyPYZTnprdEgCDr+MD2
zuIAoIYt+32qvPQ66irK2epBim6chAAi
=pypT
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: